OpenVDB 11.0.0

Loading...
Searching...
No Matches
version.h.in File Reference
`#include "openvdb/Platform.h"`
`#include <cstddef>`
`#include <cstdint>`

## Classes
struct | VersionId

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0

## Macros
#define | OPENVDB_VERSION_HAS_BEEN_INCLUDED
#define | OPENVDB_LIBRARY_VERSION_STRING
| Library version number string of the form "<major>.<minor>.<patch>".
#define | OPENVDB_LIBRARY_ABI_VERSION_STRING
| Library version number string of the form "<major>.<minor>.<patch>abi<abi>".
#define | OPENVDB_LIBRARY_VERSION_NUMBER
| Library version number as a packed integer ("%02x%02x%04x", major, minor, patch)
#define | OPENVDB_PACKAGE_URL "@OPENVDB_PACKAGE_URL@"
| Where this version was compiled from if it comes from a git repo.
#define | OPENVDB_PACKAGE_REVISION "@OPENVDB_PACKAGE_REVISION@"
#define | OPENVDB_VERSION_NAME
| The version namespace name for this library version.
#define | OPENVDB_USE_IMATH_HALF
#define | OPENVDB_IMATH_VERSION
#define | OPENVDB_USE_BLOSC
#define | OPENVDB_USE_ZLIB
#define | OPENVDB_USE_DELAYED_LOADING
#define | OPENVDB_USE_EXPLICIT_INSTANTIATION
#define | OPENVDB_INSTANTIATE extern template OPENVDB_TEMPLATE_IMPORT
#define | OPENVDB_INSTANTIATE_CLASS extern template class OPENVDB_TEMPLATE_IMPORT
#define | OPENVDB_INSTANTIATE_STRUCT extern template struct OPENVDB_TEMPLATE_IMPORT
#define | OPENVDB_REAL_TREE_INSTANTIATE(Function)
#define | OPENVDB_NUMERIC_TREE_INSTANTIATE(Function)
#define | OPENVDB_VEC3_TREE_INSTANTIATE(Function)
#define | OPENVDB_VOLUME_TREE_INSTANTIATE(Function)
#define | OPENVDB_ALL_TREE_INSTANTIATE(Function)
#define | OPENVDB_USE_VERSION_NAMESPACE
#define | OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER
| Library major, minor and patch version numbers.
#define | OPENVDB_LIBRARY_MINOR_VERSION_NUMBER
| Library major, minor and patch version numbers.
#define | OPENVDB_LIBRARY_PATCH_VERSION_NUMBER
| Library major, minor and patch version numbers.

## Enumerations
enum | { OPENVDB_FILE_VERSION_ROOTNODE_MAP = 213 , OPENVDB_FILE_VERSION_INTERNALNODE_COMPRESSION = 214 , OPENVDB_FILE_VERSION_SIMPLIFIED_GRID_TYPENAME = 215 , OPENVDB_FILE_VERSION_GRID_INSTANCING = 216 , OPENVDB_FILE_VERSION_BOOL_LEAF_OPTIMIZATION = 217 , OPENVDB_FILE_VERSION_BOOST_UUID = 218 , OPENVDB_FILE_VERSION_NO_GRIDMAP = 219 , OPENVDB_FILE_VERSION_NEW_TRANSFORM = 219 , OPENVDB_FILE_VERSION_SELECTIVE_COMPRESSION = 220 , OPENVDB_FILE_VERSION_FLOAT_FRUSTUM_BBOX = 221 , OPENVDB_FILE_VERSION_NODE_MASK_COMPRESSION = 222 , OPENVDB_FILE_VERSION_BLOSC_COMPRESSION = 223 , OPENVDB_FILE_VERSION_POINT_INDEX_GRID = 223 , OPENVDB_FILE_VERSION_MULTIPASS_IO = 224 }
| Notable file format version numbers. More...

## Functions
constexpr const char * | getLibraryVersionString ()
| Return a library version number string of the form "<major>.<minor>.<patch>".
constexpr const char * | getLibraryAbiVersionString ()
| Return a library version number string of the form "<major>.<minor>.<patch>abi<abi>".
constexpr const char * | getPackageUrl ()
constexpr const char * | getPackageRevision ()

## Variables
const int32_t | OPENVDB_MAGIC = 0x56444220
| The magic number is stored in the first four bytes of every VDB file.
const uint32_t | OPENVDB_LIBRARY_MAJOR_VERSION
const uint32_t | OPENVDB_LIBRARY_MINOR_VERSION = ${OpenVDB_MINOR_VERSION}
const uint32_t | OPENVDB_LIBRARY_PATCH_VERSION = ${OpenVDB_PATCH_VERSION}
const uint32_t | OPENVDB_LIBRARY_VERSION
const uint32_t | OPENVDB_ABI_VERSION
const uint32_t | OPENVDB_FILE_VERSION = 224
| The current version number of the VDB file format.

## Macro Definition Documentation

## ◆ OPENVDB_ALL_TREE_INSTANTIATE

#define OPENVDB_ALL_TREE_INSTANTIATE | ( |  | Function | ) |

Value:
@OPENVDB_ALL_TREE_INSTANTIATIONS@

## ◆ OPENVDB_IMATH_VERSION

#define OPENVDB_IMATH_VERSION

## ◆ OPENVDB_INSTANTIATE

#define OPENVDB_INSTANTIATE extern template OPENVDB_TEMPLATE_IMPORT

## ◆ OPENVDB_INSTANTIATE_CLASS

#define OPENVDB_INSTANTIATE_CLASS extern template class OPENVDB_TEMPLATE_IMPORT

## ◆ OPENVDB_INSTANTIATE_STRUCT

#define OPENVDB_INSTANTIATE_STRUCT extern template struct OPENVDB_TEMPLATE_IMPORT

## ◆ OPENVDB_LIBRARY_ABI_VERSION_STRING

#define OPENVDB_LIBRARY_ABI_VERSION_STRING

Library version number string of the form "<major>.<minor>.<patch>abi<abi>".

This is a macro rather than a static constant because we typically want the compile-time version number, not the runtime version number (although the two are usually the same).

## ◆ OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER

#define OPENVDB_LIBRARY_MAJOR_VERSION_NUMBER

Library major, minor and patch version numbers.

## ◆ OPENVDB_LIBRARY_MINOR_VERSION_NUMBER

#define OPENVDB_LIBRARY_MINOR_VERSION_NUMBER

Library major, minor and patch version numbers.

## ◆ OPENVDB_LIBRARY_PATCH_VERSION_NUMBER

#define OPENVDB_LIBRARY_PATCH_VERSION_NUMBER

Library major, minor and patch version numbers.

## ◆ OPENVDB_LIBRARY_VERSION_NUMBER

#define OPENVDB_LIBRARY_VERSION_NUMBER

Library version number as a packed integer ("%02x%02x%04x", major, minor, patch)

## ◆ OPENVDB_LIBRARY_VERSION_STRING

#define OPENVDB_LIBRARY_VERSION_STRING

Library version number string of the form "<major>.<minor>.<patch>".

Note
  This ifndef exists for compatibility with older versions of OpenVDB. This value should never be different from the value configured when OpenVDB was built, but this previously needed to be defined by downstream software. Redefining it here would cause build failures, so this allows users to transition and remove the define in their build systems.

This is a macro rather than a static constant because we typically want the compile-time version number, not the runtime version number (although the two are usually the same).

## ◆ OPENVDB_NUMERIC_TREE_INSTANTIATE

#define OPENVDB_NUMERIC_TREE_INSTANTIATE | ( |  | Function | ) |

Value:
@OPENVDB_NUMERIC_TREE_INSTANTIATIONS@

## ◆ OPENVDB_PACKAGE_REVISION

#define OPENVDB_PACKAGE_REVISION "@OPENVDB_PACKAGE_REVISION@"

## ◆ OPENVDB_PACKAGE_URL

#define OPENVDB_PACKAGE_URL "@OPENVDB_PACKAGE_URL@"

Where this version was compiled from if it comes from a git repo.

## ◆ OPENVDB_REAL_TREE_INSTANTIATE

#define OPENVDB_REAL_TREE_INSTANTIATE | ( |  | Function | ) |

Value:
@OPENVDB_REAL_TREE_INSTANTIATIONS@

## ◆ OPENVDB_USE_BLOSC

#define OPENVDB_USE_BLOSC

## ◆ OPENVDB_USE_DELAYED_LOADING

#define OPENVDB_USE_DELAYED_LOADING

## ◆ OPENVDB_USE_EXPLICIT_INSTANTIATION

#define OPENVDB_USE_EXPLICIT_INSTANTIATION

## ◆ OPENVDB_USE_IMATH_HALF

#define OPENVDB_USE_IMATH_HALF

## ◆ OPENVDB_USE_VERSION_NAMESPACE

#define OPENVDB_USE_VERSION_NAMESPACE

By default, the OPENVDB_REQUIRE_VERSION_NAME macro is undefined, and symbols from the version namespace are promoted to the top-level namespace so that, for example, openvdb::v5_0::io::File can be referred to simply as openvdb::io::File.

When OPENVDB_REQUIRE_VERSION_NAME is defined, symbols must be fully namespace-qualified.

## ◆ OPENVDB_USE_ZLIB

#define OPENVDB_USE_ZLIB

## ◆ OPENVDB_VEC3_TREE_INSTANTIATE

#define OPENVDB_VEC3_TREE_INSTANTIATE | ( |  | Function | ) |

Value:
@OPENVDB_VEC3_TREE_INSTANTIATIONS@

## ◆ OPENVDB_VERSION_HAS_BEEN_INCLUDED

#define OPENVDB_VERSION_HAS_BEEN_INCLUDED

## ◆ OPENVDB_VERSION_NAME

#define OPENVDB_VERSION_NAME

The version namespace name for this library version.

When the ABI version number matches the library major version number, symbols are named as in the following examples:

- openvdb::vX_Y::Vec3i
- openvdb::vX_Y::io::File
- openvdb::vX_Y::tree::Tree

where X and Y are the major and minor version numbers.

When the ABI version number does not match the library major version number, symbol names include the ABI version:

- openvdb::vX_YabiN::Vec3i
- openvdb::vX_YabiN::io::File
- openvdb::vX_YabiN::tree::Tree

where X, Y and N are the major, minor and ABI version numbers, respectively.

## ◆ OPENVDB_VOLUME_TREE_INSTANTIATE

#define OPENVDB_VOLUME_TREE_INSTANTIATE | ( |  | Function | ) |

Value:
@OPENVDB_VOLUME_TREE_INSTANTIATIONS@